# Uses of Enum
org.apache.commons.codec.language.bm.NameType

Packages that use NameType
Package
Description
org.apache.commons.codec.language.bm
Implementation details of the Beider-Morse codec.

- ## Uses of NameType in org.apache.commons.codec.language.bm

  Methods in org.apache.commons.codec.language.bm that return NameType
  Modifier and Type
  Method
  Description
  `NameType`
  BeiderMorseEncoder.`getNameType()`
  Gets the name type currently in operation.
  `NameType`
  PhoneticEngine.`getNameType()`
  Gets the NameType being used.
  `static NameType`
  NameType.`valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NameType[]`
  NameType.`values()`
  Returns an array containing the constants of this enum type, in the order they are declared.
  Methods in org.apache.commons.codec.language.bm with parameters of type NameType
  Modifier and Type
  Method
  Description
  `static Languages`
  Languages.`getInstance(NameType nameType)`
  Gets an instance for the given name type.
  `static List<Rule>`
  Rule.`getInstance(NameType nameType, RuleType rt, String lang)`
  Gets rules for a combination of name type, rule type and a single language.
  `static List<Rule>`
  Rule.`getInstance(NameType nameType, RuleType rt, Languages.LanguageSet langs)`
  Gets rules for a combination of name type, rule type and languages.
  `static Map<String,List<Rule>>`
  Rule.`getInstanceMap(NameType nameType, RuleType rt, String lang)`
  Gets rules for a combination of name type, rule type and a single language.
  `static Map<String,List<Rule>>`
  Rule.`getInstanceMap(NameType nameType, RuleType rt, Languages.LanguageSet langs)`
  Gets rules for a combination of name type, rule type and languages.
  `static Lang`
  Lang.`instance(NameType nameType)`
  Gets a Lang instance for one of the supported NameTypes.
  `void`
  BeiderMorseEncoder.`setNameType(NameType nameType)`
  Sets the type of name.
  Constructors in org.apache.commons.codec.language.bm with parameters of type NameType
  Modifier
  Constructor
  Description
  ``
  `PhoneticEngine(NameType nameType, RuleType ruleType, boolean concatenate)`
  Generates a new, fully-configured phonetic engine.
  ``
  `PhoneticEngine(NameType nameType, RuleType ruleType, boolean concatenate, int maxPhonemes)`
  Generates a new, fully-configured phonetic engine.